Subject: Re: `find' command broken.
From: [email-masked] ("$Bill Luebkert")

11 Jul 1997 19:20:53 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <19970711092719531.AAA303@TENDLE>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I)
Original-To: [email-masked]
Original-CC: [email-masked], Amol Deshpande <[email-masked]>
Original-Sender: [email-masked]

John Cooper wrote:
> 
> Since cmd.exe doesn't do any globbing, the following should presumably work:
> 
>     H:\ef>find . -name *.c -print
>     find: paths must precede expression
>     Usage: find [path...] [expression]
>     H:\ef>
> 
> I'm actually using the early zsh release, and get the same result when I run
> `find . -name *.c -print' .
> 
> Oddly, this does work under bash.  Can anyone explain this?

It shouldn't work under either, you need to escape the wildcards, try:
	find . -name '*.c' -print

I tried it under tcsh and it failed also.  It said:
	FIND: Parameter format not correct

Presumably I got a different find in my path, because when I fully
qualified 
the path it worked ok, ie:

	C:/gnuwin32/b18/H-i386-cygwin32/bin/find . -name '*.c' -print

I'll have to go do a search and see which find's are on my path cause
which isn't working on tcsh.

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".